Loading...
Searching...
No Matches
dolfin::MultiMeshDofMap Class Reference

`#include <MultiMeshDofMap.h>`

## Public Member Functions

| MultiMeshDofMap ()
| Constructor.
| MultiMeshDofMap (const MultiMeshDofMap &dofmap)
| Copy constructor.
| ~MultiMeshDofMap ()
| Destructor.
std::size_t | num_parts () const
std::shared_ptr< const GenericDofMap > | part (std::size_t i) const
void | add (std::shared_ptr< const GenericDofMap > dofmap)
void | build (const MultiMeshFunctionSpace &function_space, const std::vector< dolfin::la_index > &offsets)
| Build MultiMesh dofmap.
void | clear ()
| Clear MultiMesh dofmap.
std::size_t | global_dimension () const
std::pair< std::size_t, std::size_t > | ownership_range () const
const std::vector< int > & | off_process_owner () const
std::shared_ptr< IndexMap > | index_map () const
| Return the map.
std::string | str (bool verbose) const
| Return informal string representation (pretty-print).
std::vector< dolfin::la_index > | inactive_dofs (const MultiMesh &multimesh, std::size_t part_id) const
| Return inactive dofs.

## Detailed Description

This class handles the mapping of degrees of freedom for MultiMesh function spaces.

## Member Function Documentation

## add()

void MultiMeshDofMap::add | ( | std::shared_ptr< const GenericDofMap > | dofmap | ) |

Add dofmap

Arguments dofmap (GenericDofMap) The dofmap.

## global_dimension()

std::size_t MultiMeshDofMap::global_dimension | ( |  | ) | const

Return the dimension of the global finite element function space

## num_parts()

std::size_t MultiMeshDofMap::num_parts | ( |  | ) | const

Return the number dofmaps (parts) of the MultiMesh dofmap

Returns std::size_t The number of dofmaps (parts) of the MultiMesh dofmap

## off_process_owner()

const std::vector< int > & MultiMeshDofMap::off_process_owner | ( |  | ) | const

Return map from nonlocal-dofs (that appear in local dof map) to owning process

## ownership_range()

std::pair< std::size_t, std::size_t > MultiMeshDofMap::ownership_range | ( |  | ) | const

Return the ownership range (dofs in this range are owned by this process)

## part()

std::shared_ptr< const GenericDofMap > MultiMeshDofMap::part | ( | std::size_t | i | ) | const

Return dofmap (part) number i

Returns GenericDofMap Dofmap (part) number i

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MultiMeshDofMap.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MultiMeshDofMap.cpp